Description

Some errors are being reported during synchronization of content in the production environment. The number is small, but cause is

undetermined and may indicate a larger issue so the cause needs to be resolved or at least identified.

For the KNB node, a total of 16954 records are reported, of which 16444 are synchronized to the CNs, leaving 510 that reported

errors.

A list of pids that were problematic is at: http://pastebin.com/h1UN5WeA

Subtasks:

Task # 2940: Addressing item #5 - Not Found Exceptions Closed

History

#1 - 2012-06-14 22:29 - Chris Jones

- Status changed from New to In Progress

The following classes of errors are in the log:

1) SSLPeerUnverifiedException - this may have been during the OutOfMemory exception on KNB.  Need to confirm.

[ERROR] 2012-06-14 05:27:12,018 (TransferObjectTask:createObject:523) Task-urn:node:KNB-doi:10.5063/AA/dpennington.153.1

[ERROR] 2012-06-14 05:27:17,288 (TransferObjectTask:createObject:523) Task-urn:node:KNB-doi:10.5063/AA/dpennington.156.2

[ERROR] 2012-06-14 05:34:04,849 (TransferObjectTask:write:450) Task-urn:node:KNB-doi:10.5063/AA/dpennington.145.2

[ERROR] 2012-06-14 11:58:57,644 (TransferObjectTask:retrieveSystemMetadata:237) Task-urn:node:KNB-doi:10.5063/AA/ve_hamilton.3.1

[ERROR] 2012-06-14 05:27:15,852 (TransferObjectTask:createObject:523) Task-urn:node:KNB-doi:10.5063/AA/dpennington.158.2

[ERROR] 2012-06-14 05:30:57,578 (TransferObjectTask:createObject:523) Task-urn:node:KNB-doi:10.5063/AA/dpennington.155.2

[ERROR] 2012-06-14 05:34:07,431 (TransferObjectTask:write:450) Task-urn:node:KNB-doi:10.5063/AA/dpennington.155.2

[ERROR] 2012-06-14 05:27:13,561 (TransferObjectTask:createObject:523) Task-urn:node:KNB-doi:10.5063/AA/dpennington.144.2

[ERROR] 2012-06-14 05:27:14,899 (TransferObjectTask:createObject:523) Task-urn:node:KNB-doi:10.5063/AA/dpennington.142.3

[ERROR] 2012-06-14 05:29:30,523 (TransferObjectTask:createObject:523) Task-urn:node:KNB-doi:10.5063/AA/dpennington.144.2

[ERROR] 2012-06-14 05:34:08,352 (TransferObjectTask:write:450) Task-urn:node:KNB-doi:10.5063/AA/dpennington.142.3

2) setObsoletedBy() fails during TransferObjectTask on updates

<?xml version="1.0" encoding="UTF-8"?>

The 'obsoletedByPid' must be provided as a parameter and was not.

See https://redmine.dataone.org/issues/2418

[ERROR] 2012-06-14 17:27:11,881 (TransferObjectTask:write:447) Task-urn:node:KNB-AKCRRAB.4.5

[ERROR] 2012-06-14 10:30:12,743 (TransferObjectTask:write:447) Task-urn:node:KNB-doi:10.5063/AA/nceasadmin.910.1

[ERROR] 2012-06-14 06:36:21,556 (TransferObjectTask:write:447) Task-urn:node:KNB-doi:10.5063/AA/ABS.4.3

[ERROR] 2012-06-14 10:30:13,150 (TransferObjectTask:write:447) Task-urn:node:KNB-doi:10.5063/AA/nceasadmin.805.2

3)  SocketTimeoutException: Read timed out - this may have been during the OutOfMemory exception on KNB.  Need to confirm.

[ERROR] 2012-06-14 05:28:04,280 (TransferObjectTask:createObject:523) Task-urn:node:KNB-doi:10.5063/AA/dpennington.162.2

[ERROR] 2012-06-14 05:28:33,270 (TransferObjectTask:retrieveSystemMetadata:237) Task-urn:node:KNB-doi:10.5063/AA/dpennington.162.3

[ERROR] 2012-06-14 05:29:38,876 (TransferObjectTask:retrieveSystemMetadata:237) Task-urn:node:KNB-doi:10.5063/AA/dpennington.162.3

[ERROR] 2012-06-14 05:30:12,654 (TransferObjectTask:createObject:523) Task-urn:node:KNB-doi:10.5063/AA/dpennington.145.2

[ERROR] 2012-06-14 05:30:40,760 (ObjectListHarvestTask:retrieve:220) urn:node:KNB- <?xml version="1.0" encoding="UTF-8"?>

[ERROR] 2012-06-14 05:30:44,620 (TransferObjectTask:retrieveSystemMetadata:261) Task-urn:node:KNB-doi:10.5063/AA/dpennington.162.3

[ERROR] 2012-06-14 05:31:15,240 (SyncFailedTask:submitSynchronizationFailed:85) Task-urn:node:KNB-doi:10.5063/AA/dpennington.162.3 <?xml

2024-04-25 1/6

http://pastebin.com/h1UN5WeA
https://redmine.dataone.org/issues/2418


version="1.0" encoding="UTF-8"?>

[ERROR] 2012-06-14 05:32:17,800 (TransferObjectTask:createObject:523) Task-urn:node:KNB-doi:10.5063/AA/dpennington.153.1

[ERROR] 2012-06-14 05:32:22,980 (TransferObjectTask:createObject:523) Task-urn:node:KNB-doi:10.5063/AA/dpennington.156.2

[ERROR] 2012-06-14 05:32:26,830 (TransferObjectTask:retrieveSystemMetadata:237) Task-urn:node:KNB-doi:10.5063/AA/dpennington.158.3

[ERROR] 2012-06-14 05:33:10,070 (TransferObjectTask:createObject:523) Task-urn:node:KNB-doi:10.5063/AA/dpennington.162.2

[ERROR] 2012-06-14 05:33:32,470 (TransferObjectTask:retrieveSystemMetadata:237) Task-urn:node:KNB-doi:10.5063/AA/dpennington.158.3

[ERROR] 2012-06-14 05:34:32,920 (SyncFailedTask:submitSynchronizationFailed:85) Task-urn:node:KNB-doi:10.5063/AA/dpennington.153.1 <?xml

version="1.0" encoding="UTF-8"?>

[ERROR] 2012-06-14 05:34:35,444 (SyncFailedTask:submitSynchronizationFailed:85) Task-urn:node:KNB-doi:10.5063/AA/dpennington.145.2 <?xml

version="1.0" encoding="UTF-8"?>

[ERROR] 2012-06-14 05:23:35,437 (TransferObjectTask:retrieveSystemMetadata:237) Task-urn:node:KNB-doi:10.5063/AA/dpennington.154.2

[ERROR] 2012-06-14 05:23:36,578 (TransferObjectTask:retrieveSystemMetadata:237) Task-urn:node:KNB-doi:10.5063/AA/dpennington.148.1

[ERROR] 2012-06-14 05:24:40,606 (TransferObjectTask:retrieveSystemMetadata:237) Task-urn:node:KNB-doi:10.5063/AA/dpennington.154.2

[ERROR] 2012-06-14 05:24:41,737 (TransferObjectTask:retrieveSystemMetadata:237) Task-urn:node:KNB-doi:10.5063/AA/dpennington.148.1

[ERROR] 2012-06-14 05:25:26,626 (TransferObjectTask:retrieveSystemMetadata:237) Task-urn:node:KNB-doi:10.5063/AA/dpennington.159.3

[ERROR] 2012-06-14 05:25:45,773 (TransferObjectTask:retrieveSystemMetadata:261) Task-urn:node:KNB-doi:10.5063/AA/dpennington.154.2

[ERROR] 2012-06-14 05:25:46,905 (TransferObjectTask:retrieveSystemMetadata:261) Task-urn:node:KNB-doi:10.5063/AA/dpennington.148.1

[ERROR] 2012-06-14 05:26:15,876 (SyncFailedTask:submitSynchronizationFailed:85) Task-urn:node:KNB-doi:10.5063/AA/dpennington.154.2 <?xml

version="1.0" encoding="UTF-8"?>

[ERROR] 2012-06-14 05:26:17,036 (SyncFailedTask:submitSynchronizationFailed:85) Task-urn:node:KNB-doi:10.5063/AA/dpennington.148.1 <?xml

version="1.0" encoding="UTF-8"?>

[ERROR] 2012-06-14 05:26:31,749 (TransferObjectTask:retrieveSystemMetadata:237) Task-urn:node:KNB-doi:10.5063/AA/dpennington.159.3

[ERROR] 2012-06-14 05:27:24,835 (TransferObjectTask:retrieveSystemMetadata:237) Task-urn:node:KNB-doi:10.5063/AA/dpennington.147.1

[ERROR] 2012-06-14 05:27:27,006 (TransferObjectTask:retrieveSystemMetadata:237) Task-urn:node:KNB-doi:10.5063/AA/dpennington.149.4

[ERROR] 2012-06-14 05:27:36,915 (TransferObjectTask:retrieveSystemMetadata:261) Task-urn:node:KNB-doi:10.5063/AA/dpennington.159.3

[ERROR] 2012-06-14 05:28:07,067 (SyncFailedTask:submitSynchronizationFailed:85) Task-urn:node:KNB-doi:10.5063/AA/dpennington.159.3 <?xml

version="1.0" encoding="UTF-8"?>

[ERROR] 2012-06-14 05:28:30,005 (TransferObjectTask:retrieveSystemMetadata:237) Task-urn:node:KNB-doi:10.5063/AA/dpennington.147.1

[ERROR] 2012-06-14 05:28:32,177 (TransferObjectTask:retrieveSystemMetadata:237) Task-urn:node:KNB-doi:10.5063/AA/dpennington.149.4

[ERROR] 2012-06-14 05:29:12,136 (TransferObjectTask:retrieveSystemMetadata:237) Task-urn:node:KNB-doi:10.5063/AA/dpennington.157.1

[ERROR] 2012-06-14 05:29:35,181 (TransferObjectTask:retrieveSystemMetadata:261) Task-urn:node:KNB-doi:10.5063/AA/dpennington.147.1

[ERROR] 2012-06-14 05:29:37,345 (TransferObjectTask:retrieveSystemMetadata:261) Task-urn:node:KNB-doi:10.5063/AA/dpennington.149.4

[ERROR] 2012-06-14 05:30:05,326 (SyncFailedTask:submitSynchronizationFailed:85) Task-urn:node:KNB-doi:10.5063/AA/dpennington.147.1 <?xml

version="1.0" encoding="UTF-8"?>

[ERROR] 2012-06-14 05:30:07,476 (SyncFailedTask:submitSynchronizationFailed:85) Task-urn:node:KNB-doi:10.5063/AA/dpennington.149.4 <?xml

version="1.0" encoding="UTF-8"?>

[ERROR] 2012-06-14 05:30:17,585 (TransferObjectTask:retrieveSystemMetadata:237) Task-urn:node:KNB-doi:10.5063/AA/dpennington.157.1

[ERROR] 2012-06-14 05:31:09,865 (TransferObjectTask:retrieveSystemMetadata:237) Task-urn:node:KNB-doi:10.5063/AA/dpennington.145.1

[ERROR] 2012-06-14 05:31:12,037 (TransferObjectTask:retrieveSystemMetadata:237) Task-urn:node:KNB-doi:10.5063/AA/dpennington.150.3

[ERROR] 2012-06-14 05:31:22,752 (TransferObjectTask:retrieveSystemMetadata:261) Task-urn:node:KNB-doi:10.5063/AA/dpennington.157.1

[ERROR] 2012-06-14 05:31:52,886 (SyncFailedTask:submitSynchronizationFailed:85) Task-urn:node:KNB-doi:10.5063/AA/dpennington.157.1 <?xml

version="1.0" encoding="UTF-8"?>

[ERROR] 2012-06-14 05:32:15,026 (TransferObjectTask:retrieveSystemMetadata:237) Task-urn:node:KNB-doi:10.5063/AA/dpennington.145.1

[ERROR] 2012-06-14 05:32:17,195 (TransferObjectTask:retrieveSystemMetadata:237) Task-urn:node:KNB-doi:10.5063/AA/dpennington.150.3

[ERROR] 2012-06-14 05:32:57,756 (TransferObjectTask:retrieveSystemMetadata:237) Task-urn:node:KNB-doi:10.5063/AA/dpennington.161.3

[ERROR] 2012-06-14 05:33:20,167 (TransferObjectTask:retrieveSystemMetadata:261) Task-urn:node:KNB-doi:10.5063/AA/dpennington.145.1

[ERROR] 2012-06-14 05:33:22,365 (TransferObjectTask:retrieveSystemMetadata:261) Task-urn:node:KNB-doi:10.5063/AA/dpennington.150.3

[ERROR] 2012-06-14 05:33:50,316 (SyncFailedTask:submitSynchronizationFailed:85) Task-urn:node:KNB-doi:10.5063/AA/dpennington.145.1 <?xml

version="1.0" encoding="UTF-8"?>

[ERROR] 2012-06-14 05:33:52,506 (SyncFailedTask:submitSynchronizationFailed:85) Task-urn:node:KNB-doi:10.5063/AA/dpennington.150.3 <?xml

version="1.0" encoding="UTF-8"?>

[ERROR] 2012-06-14 05:34:02,935 (TransferObjectTask:retrieveSystemMetadata:237) Task-urn:node:KNB-doi:10.5063/AA/dpennington.161.3

[ERROR] 2012-06-14 05:34:35,706 (TransferObjectTask:write:450) Task-urn:node:KNB-doi:10.5063/AA/dpennington.158.2

[ERROR] 2012-06-14 05:23:39,121 (TransferObjectTask:retrieveSystemMetadata:237) Task-urn:node:KNB-doi:10.5063/AA/dpennington.157.2

[ERROR] 2012-06-14 05:23:41,459 (TransferObjectTask:retrieveSystemMetadata:237) Task-urn:node:KNB-doi:10.5063/AA/dpennington.120.2

[ERROR] 2012-06-14 05:24:09,509 (TransferObjectTask:retrieveSystemMetadata:237) Task-urn:node:KNB-doi:10.5063/AA/dpennington.15.1

[ERROR] 2012-06-14 05:24:40,423 (ObjectListHarvestTask:retrieve:220) urn:node:KNB- <?xml version="1.0" encoding="UTF-8"?>

[ERROR] 2012-06-14 05:24:44,361 (TransferObjectTask:retrieveSystemMetadata:237) Task-urn:node:KNB-doi:10.5063/AA/dpennington.157.2

[ERROR] 2012-06-14 05:24:46,679 (TransferObjectTask:retrieveSystemMetadata:237) Task-urn:node:KNB-doi:10.5063/AA/dpennington.120.2

[ERROR] 2012-06-14 05:25:14,749 (TransferObjectTask:retrieveSystemMetadata:237) Task-urn:node:KNB-doi:10.5063/AA/dpennington.15.1

[ERROR] 2012-06-14 05:25:49,609 (TransferObjectTask:retrieveSystemMetadata:261) Task-urn:node:KNB-doi:10.5063/AA/dpennington.157.2

[ERROR] 2012-06-14 05:25:51,919 (TransferObjectTask:retrieveSystemMetadata:261) Task-urn:node:KNB-doi:10.5063/AA/dpennington.120.2

[ERROR] 2012-06-14 05:26:19,776 (SyncFailedTask:submitSynchronizationFailed:85) Task-urn:node:KNB-doi:10.5063/AA/dpennington.157.2 <?xml

version="1.0" encoding="UTF-8"?>

[ERROR] 2012-06-14 05:26:20,019 (TransferObjectTask:retrieveSystemMetadata:261) Task-urn:node:KNB-doi:10.5063/AA/dpennington.15.1

[ERROR] 2012-06-14 05:26:22,129 (SyncFailedTask:submitSynchronizationFailed:85) Task-urn:node:KNB-doi:10.5063/AA/dpennington.120.2 <?xml

version="1.0" encoding="UTF-8"?>

[ERROR] 2012-06-14 05:26:50,212 (SyncFailedTask:submitSynchronizationFailed:85) Task-urn:node:KNB-doi:10.5063/AA/dpennington.15.1 <?xml

version="1.0" encoding="UTF-8"?>

[ERROR] 2012-06-14 05:27:25,577 (TransferObjectTask:retrieveSystemMetadata:237) Task-urn:node:KNB-doi:10.5063/AA/dpennington.12.9

[ERROR] 2012-06-14 05:27:27,779 (TransferObjectTask:retrieveSystemMetadata:237) Task-urn:node:KNB-doi:10.5063/AA/dpennington.140.2

[ERROR] 2012-06-14 05:27:55,795 (TransferObjectTask:retrieveSystemMetadata:237) Task-urn:node:KNB-doi:10.5063/AA/dpennington.121.1

[ERROR] 2012-06-14 05:28:30,825 (TransferObjectTask:retrieveSystemMetadata:237) Task-urn:node:KNB-doi:10.5063/AA/dpennington.12.9

[ERROR] 2012-06-14 05:28:32,986 (TransferObjectTask:retrieveSystemMetadata:237) Task-urn:node:KNB-doi:10.5063/AA/dpennington.140.2

[ERROR] 2012-06-14 05:29:01,039 (TransferObjectTask:retrieveSystemMetadata:237) Task-urn:node:KNB-doi:10.5063/AA/dpennington.121.1
[ERROR] 2012-06-14 05:29:38,160 (TransferObjectTask:retrieveSystemMetadata:261) Task-urn:node:KNB-doi:10.5063/AA/dpennington.140.2

[ERROR] 2012-06-14 05:30:00,709 (SyncFailedTask:submitSynchronizationFailed:85) Task-urn:node:KNB-doi:10.5063/AA/dpennington.12.9 <?xml

version="1.0" encoding="UTF-8"?>

[ERROR] 2012-06-14 05:30:06,275 (TransferObjectTask:retrieveSystemMetadata:261) Task-urn:node:KNB-doi:10.5063/AA/dpennington.121.1

[ERROR] 2012-06-14 05:30:08,349 (SyncFailedTask:submitSynchronizationFailed:85) Task-urn:node:KNB-doi:10.5063/AA/dpennington.140.2 <?xml

version="1.0" encoding="UTF-8"?>

[ERROR] 2012-06-14 05:30:28,199 (SyncFailedTask:submitSynchronizationFailed:85) Task-urn:node:KNB-doi:10.5063/AA/dpennington.144.2 <?xml

version="1.0" encoding="UTF-8"?>

[ERROR] 2012-06-14 05:30:36,489 (SyncFailedTask:submitSynchronizationFailed:85) Task-urn:node:KNB-doi:10.5063/AA/dpennington.121.1 <?xml

version="1.0" encoding="UTF-8"?>

[ERROR] 2012-06-14 05:31:12,719 (TransferObjectTask:retrieveSystemMetadata:237) Task-urn:node:KNB-doi:10.5063/AA/dpennington.159.2

[ERROR] 2012-06-14 05:31:40,279 (TransferObjectTask:retrieveSystemMetadata:237) Task-urn:node:KNB-doi:10.5063/AA/dpennington.162.4

[ERROR] 2012-06-14 05:31:42,439 (TransferObjectTask:retrieveSystemMetadata:237) Task-urn:node:KNB-doi:10.5063/AA/dpennington.164.4

[ERROR] 2012-06-14 05:31:50,199 (TransferObjectTask:retrieveSystemMetadata:237) Task-urn:node:KNB-doi:10.5063/AA/dpennington.144.1

[ERROR] 2012-06-14 05:32:18,019 (TransferObjectTask:retrieveSystemMetadata:237) Task-urn:node:KNB-doi:10.5063/AA/dpennington.159.2

[ERROR] 2012-06-14 05:32:45,499 (TransferObjectTask:retrieveSystemMetadata:237) Task-urn:node:KNB-doi:10.5063/AA/dpennington.162.4

[ERROR] 2012-06-14 05:32:47,659 (TransferObjectTask:retrieveSystemMetadata:237) Task-urn:node:KNB-doi:10.5063/AA/dpennington.164.4

[ERROR] 2012-06-14 05:32:55,469 (TransferObjectTask:retrieveSystemMetadata:261) Task-urn:node:KNB-doi:10.5063/AA/dpennington.144.1

[ERROR] 2012-06-14 05:33:23,264 (TransferObjectTask:retrieveSystemMetadata:261) Task-urn:node:KNB-doi:10.5063/AA/dpennington.159.2

[ERROR] 2012-06-14 05:33:25,659 (SyncFailedTask:submitSynchronizationFailed:85) Task-urn:node:KNB-doi:10.5063/AA/dpennington.144.1 <?xml

version="1.0" encoding="UTF-8"?>

[ERROR] 2012-06-14 05:33:40,402 (ObjectListHarvestTask:retrieve:220) urn:node:KNB- <?xml version="1.0" encoding="UTF-8"?>

[ERROR] 2012-06-14 05:33:50,769 (TransferObjectTask:retrieveSystemMetadata:261) Task-urn:node:KNB-doi:10.5063/AA/dpennington.162.4

[ERROR] 2012-06-14 05:33:52,879 (TransferObjectTask:retrieveSystemMetadata:261) Task-urn:node:KNB-doi:10.5063/AA/dpennington.164.4

[ERROR] 2012-06-14 05:33:53,499 (SyncFailedTask:submitSynchronizationFailed:85) Task-urn:node:KNB-doi:10.5063/AA/dpennington.159.2 <?xml

version="1.0" encoding="UTF-8"?>

[ERROR] 2012-06-14 05:34:20,959 (SyncFailedTask:submitSynchronizationFailed:85) Task-urn:node:KNB-doi:10.5063/AA/dpennington.162.4 <?xml

version="1.0" encoding="UTF-8"?>

[ERROR] 2012-06-14 05:34:23,072 (SyncFailedTask:submitSynchronizationFailed:85) Task-urn:node:KNB-doi:10.5063/AA/dpennington.164.4 <?xml

version="1.0" encoding="UTF-8"?>

[ERROR] 2012-06-14 05:34:32,600 (TransferObjectTask:retrieveSystemMetadata:237) Task-urn:node:KNB-doi:10.5063/AA/dpennington.144.4

[ERROR] 2012-06-14 05:34:38,539 (SyncFailedTask:submitSynchronizationFailed:85) Task-urn:node:KNB-doi:10.5063/AA/dpennington.142.3 <?xml

version="1.0" encoding="UTF-8"?>

4) Failed to write triples into relation table ERROR: duplicate key value violates unique constraint "xml_relation_uk"

Unknown cause yet

[ERROR] 2012-06-14 08:25:16,835 (TransferObjectTask:write:450) Task-urn:node:KNB-doi:10.5063/AA/higgins.3625.3

[ERROR] 2012-06-14 08:25:21,220 (TransferObjectTask:write:450) Task-urn:node:KNB-doi:10.5063/AA/higgins.3650.3

[ERROR] 2012-06-14 08:25:24,624 (TransferObjectTask:write:450) Task-urn:node:KNB-doi:10.5063/AA/higgins.3650.1

[ERROR] 2012-06-14 08:25:30,776 (TransferObjectTask:write:450) Task-urn:node:KNB-doi:10.5063/AA/higgins.3843.3

[ERROR] 2012-06-14 08:27:17,667 (TransferObjectTask:write:450) Task-urn:node:KNB-doi:10.5063/AA/higgins.3843.5

[ERROR] 2012-06-14 09:36:58,779 (TransferObjectTask:write:450) Task-urn:node:KNB-doi:10.5063/AA/knb2003.130.12

[ERROR] 2012-06-14 11:24:51,051 (TransferObjectTask:write:450) Task-urn:node:KNB-doi:10.5063/AA/seahoob.152.16

[ERROR] 2012-06-14 11:24:56,696 (TransferObjectTask:write:450) Task-urn:node:KNB-doi:10.5063/AA/seahoob.152.11

[ERROR] 2012-06-14 11:30:43,732 (TransferObjectTask:write:450) Task-urn:node:KNB-doi:10.5063/AA/seahoob.152.7

[ERROR] 2012-06-14 11:31:08,895 (TransferObjectTask:write:450) Task-urn:node:KNB-doi:10.5063/AA/seahoob.152.9

[ERROR] 2012-06-14 08:24:40,660 (TransferObjectTask:write:450) Task-urn:node:KNB-doi:10.5063/AA/higgins.3644.3

[ERROR] 2012-06-14 08:24:54,536 (TransferObjectTask:write:450) Task-urn:node:KNB-doi:10.5063/AA/higgins.3650.2

[ERROR] 2012-06-14 08:25:44,602 (TransferObjectTask:write:450) Task-urn:node:KNB-doi:10.5063/AA/higgins.3843.4

[ERROR] 2012-06-14 09:21:39,544 (TransferObjectTask:write:450) Task-urn:node:KNB-doi:10.5063/AA/jlove.4.39

[ERROR] 2012-06-14 11:22:14,661 (TransferObjectTask:write:450) Task-urn:node:KNB-doi:10.5063/AA/seahoob.152.10

[ERROR] 2012-06-14 11:24:26,861 (TransferObjectTask:write:450) Task-urn:node:KNB-doi:10.5063/AA/seahoob.152.12

[ERROR] 2012-06-14 11:24:44,859 (TransferObjectTask:write:450) Task-urn:node:KNB-doi:10.5063/AA/seahoob.152.15

[ERROR] 2012-06-14 11:27:16,228 (TransferObjectTask:write:450) Task-urn:node:KNB-doi:10.5063/AA/seahoob.152.17

[ERROR] 2012-06-14 08:24:34,620 (TransferObjectTask:write:450) Task-urn:node:KNB-doi:10.5063/AA/higgins.3625.2

[ERROR] 2012-06-14 08:24:46,877 (TransferObjectTask:write:450) Task-urn:node:KNB-doi:10.5063/AA/higgins.3625.1

[ERROR] 2012-06-14 08:25:07,851 (TransferObjectTask:write:450) Task-urn:node:KNB-doi:10.5063/AA/higgins.3644.2

[ERROR] 2012-06-14 08:25:15,918 (TransferObjectTask:write:450) Task-urn:node:KNB-doi:10.5063/AA/higgins.3644.1

[ERROR] 2012-06-14 09:04:09,355 (TransferObjectTask:write:450) Task-urn:node:KNB-doi:10.5063/AA/jheisler.530.23

[ERROR] 2012-06-14 09:22:06,774 (TransferObjectTask:write:450) Task-urn:node:KNB-doi:10.5063/AA/jlove.4.40

[ERROR] 2012-06-14 09:33:21,769 (TransferObjectTask:write:450) Task-urn:node:KNB-doi:10.5063/AA/knb.291.1

[ERROR] 2012-06-14 09:36:40,992 (TransferObjectTask:write:450) Task-urn:node:KNB-doi:10.5063/AA/knb2003.130.11

[ERROR] 2012-06-14 09:37:06,615 (TransferObjectTask:write:450) Task-urn:node:KNB-doi:10.5063/AA/knb2003.130.13

[ERROR] 2012-06-14 11:24:29,789 (TransferObjectTask:write:450) Task-urn:node:KNB-doi:10.5063/AA/seahoob.152.13

[ERROR] 2012-06-14 11:24:33,365 (TransferObjectTask:write:450) Task-urn:node:KNB-doi:10.5063/AA/seahoob.152.14

[ERROR] 2012-06-14 11:30:52,207 (TransferObjectTask:write:450) Task-urn:node:KNB-doi:10.5063/AA/seahoob.152.8

5) NotFound exceptions

During the call to TransferObjectTask.write(), a 404, detail 1340 exception is thrown.  Unknown reason.

[ERROR] 2012-06-14 09:15:12,661 (TransferObjectTask:write:441) Task-urn:node:KNB-doi:10.5063/AA/kgordon.8.3

[ERROR] 2012-06-14 09:15:12,477 (TransferObjectTask:write:441) Task-urn:node:KNB-doi:10.5063/AA/kgordon.7.3

2024-04-25 3/6



[ERROR] 2012-06-14 09:18:11,464 (TransferObjectTask:write:441) Task-urn:node:KNB-doi:10.5063/AA/kgordon.9.1

[ERROR] 2012-06-14 09:18:24,970 (TransferObjectTask:write:441) Task-urn:node:KNB-doi:10.5063/AA/kgordon.7.7

[ERROR] 2012-06-14 09:18:26,343 (TransferObjectTask:write:441) Task-urn:node:KNB-doi:10.5063/AA/kgordon.8.1

[ERROR] 2012-06-14 10:30:17,429 (TransferObjectTask:write:441) Task-urn:node:KNB-doi:10.5063/AA/nceasadmin.813.1

[ERROR] 2012-06-14 10:30:17,737 (TransferObjectTask:write:441) Task-urn:node:KNB-doi:10.5063/AA/nceasadmin.814.1

6) NotAuthorized

These are all associated with ESA objects, and were likely left over in the logs from when we didn't have the client cert worked out with the CN. 

These likely can be ignored.

Task-urn:node:ESA-esa.100.1

Task-urn:node:ESA-esa.103.1

Task-urn:node:ESA-esa.105.1

Task-urn:node:ESA-esa.29.2

Task-urn:node:ESA-esa.43.1

Task-urn:node:ESA-esa.43.2

Task-urn:node:ESA-esa.45.3

Task-urn:node:ESA-esa.45.5

Task-urn:node:ESA-esa.47.1

Task-urn:node:ESA-esa.49.1

Task-urn:node:ESA-esa.49.2

Task-urn:node:ESA-esa.49.3

Task-urn:node:ESA-esa.58.1

Task-urn:node:ESA-esa.74.1

Task-urn:node:ESA-esa.75.1

Task-urn:node:ESA-esa.76.1

Task-urn:node:ESA-esa.78.1

Task-urn:node:ESA-esa.96.1

Task-urn:node:ESA-esa_reviews.11.1

Task-urn:node:ESA-esa_reviews.14.1

Task-urn:node:ESA-esa_reviews.17.1

Task-urn:node:ESA-esa_reviews.19.1

Task-urn:node:ESA-esa_reviews.23.1

Task-urn:node:ESA-esa_reviews.6.1

Task-urn:node:ESA-esa_reviews.8.1

Task-urn:node:ESA-esa_reviews.9.1

Task-urn:node:ESA-esa.105.2

Task-urn:node:ESA-esa.29.1

Task-urn:node:ESA-esa.36.1

Task-urn:node:ESA-esa.37.1

Task-urn:node:ESA-esa.41.3

Task-urn:node:ESA-esa.45.2

Task-urn:node:ESA-esa.45.4

Task-urn:node:ESA-esa.47.2

Task-urn:node:ESA-esa.47.3

Task-urn:node:ESA-esa.50.1

Task-urn:node:ESA-esa.50.3

Task-urn:node:ESA-esa.62.1

Task-urn:node:ESA-esa.62.2

Task-urn:node:ESA-esa.63.1

Task-urn:node:ESA-esa.70.1

Task-urn:node:ESA-esa.71.1

Task-urn:node:ESA-esa.79.1

Task-urn:node:ESA-esa.80.1

Task-urn:node:ESA-esa.82.1

Task-urn:node:ESA-esa.95.2

Task-urn:node:ESA-esa_reviews.10.1

Task-urn:node:ESA-esa_reviews.1.1

Task-urn:node:ESA-esa_reviews.18.1

Task-urn:node:ESA-esa_reviews.20.1

Task-urn:node:ESA-esa_reviews.2.1

Task-urn:node:ESA-esa_reviews.24.1

Task-urn:node:ESA-esa_reviews.25.1

Task-urn:node:ESA-esa_reviews.26.1

Task-urn:node:ESA-esa_reviews.3.1

Task-urn:node:ESA-esa.101.1

Task-urn:node:ESA-esa.102.1

Task-urn:node:ESA-esa.104.1

Task-urn:node:ESA-esa.18.1

Task-urn:node:ESA-esa.27.1

Task-urn:node:ESA-esa.38.1

Task-urn:node:ESA-esa.41.1

Task-urn:node:ESA-esa.41.2

Task-urn:node:ESA-esa.42.1
Task-urn:node:ESA-esa.45.1

Task-urn:node:ESA-esa.50.2

Task-urn:node:ESA-esa.50.4

Task-urn:node:ESA-esa.52.1

Task-urn:node:ESA-esa.54.1

Task-urn:node:ESA-esa.72.1

Task-urn:node:ESA-esa.73.1

Task-urn:node:ESA-esa.77.1

Task-urn:node:ESA-esa.83.1

Task-urn:node:ESA-esa_reviews.12.1

Task-urn:node:ESA-esa_reviews.13.1

Task-urn:node:ESA-esa_reviews.15.1

Task-urn:node:ESA-esa_reviews.16.1

Task-urn:node:ESA-esa_reviews.21.1

Task-urn:node:ESA-esa_reviews.22.1

Task-urn:node:ESA-esa_reviews.27.1

Task-urn:node:ESA-esa_reviews.4.1

Task-urn:node:ESA-esa_reviews.5.1

Task-urn:node:ESA-esa_reviews.6.2

Task-urn:node:ESA-esa_reviews.7.1

Task-urn:node:ESA-esa_reviews.8.2

7) 

#2 - 2012-06-15 17:35 - Chris Jones

All errors in the #4 category above "Failed to write triples into relation table ERROR: duplicate key value violates unique constraint "xml_relation_uk")

can effectively be ignored except for knb.291.  The others are pre-release EML beta6 documents that have duplicate triple statements in them relating

access control modules to the main data file.  There should only be one triple statement in each, so these are XMLSchema-valid, EML invalid

documents.

#3 - 2012-06-15 17:37 - Chris Jones

Issues in (3) and (6) above can be ignored. They are due to communications errors with the KNB member node.  The system metadata of each object

will be updated so a reharvest is induced.

#4 - 2012-06-15 17:39 - Chris Jones

Errors associated with (2) above (fail to setObsoletedBy()) should be resolved by Robert in teh CN REST Proxy code.  See #2940. These objects will

be reharvested.

#5 - 2012-06-16 23:33 - Ben Leinfelder

Chris Jones wrote:

Errors associated with (2) above (fail to setObsoletedBy()) should be resolved by Robert in teh CN REST Proxy code.  See #2940. These
objects will be reharvested.

 

Hi Robert,

I just want you to know another scenario when I am seeing this on cn-stage (running the 1.0 release). Here is the scenario:

I update the obsoletedBy and dateModified fields on the MN's system metadata. The CN picks up this change during synchronization. I see the error

in the CN processing logs.

I was trying to find the bug documenting that you re-fixed this, but couldn't find it. So please close this and point me to the bug that (I believe you have

fixed) for 1.0.1 release.

I'd like to test the fix in cn-stage when we get that stable deb package built. I like that there are some concrete documents to test with in that

environment and will keep it that way.

Thanks!

#6 - 2012-06-19 05:38 - Robert Waltz

- Status changed from In Progress to Closed

#7 - 2012-06-19 05:39 - Robert Waltz

- Status changed from Closed to In Progress

#8 - 2012-06-19 05:40 - Robert Waltz

- Target version changed from Sprint-2012.23-Block.3.4 to Sprint-2012.25-Block.4.1

- Milestone changed from CCI-1.0.1 to CCI-1.0.2

#9 - 2012-07-09 14:06 - Dave Vieglais

- Target version changed from Sprint-2012.25-Block.4.1 to Sprint-2012.29-Block.4.3

- Milestone changed from CCI-1.0.2 to CCI-1.0.3

#10 - 2012-08-16 21:48 - Dave Vieglais

- Status changed from In Progress to Closed

Sync seems to be working ok now.
